Server 500 error message when trying to run the "Data loading wizard"

46 views
Skip to first unread message

O WR

unread,
Feb 15, 2021, 8:02:10 AM2/15/21
to frePPLe users
Dear All,

I'm a new user of the community version of frePPLe.

When trying to run the data loading wizard, I've a server 500 error message.

Server is running in the system tray (Windows environment).

Any other functionalities of frePPLe are running perfectly. At least, everything I've tested.

Log server file is reporting the following :

--- Logging error ---
Traceback (most recent call last):
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 34, in inner
    response = get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\base.py", line 115, in _get_response
    response = self.process_exception_by_middleware(e, request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\base.py", line 113, in _get_response
    response = wrapped_callback(request, *callback_args, **callback_kwargs)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\contrib\auth\decorators.py", line 21, in _wrapped_view
    return view_func(request, *args, **kwargs)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\freppledb\wizard\views.py", line 1151, in WizardLoad
    steps = getWizardSteps(request, mode)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\freppledb\wizard\views.py", line 92, in getWizardSteps
    % (settings.DOCUMENTATION_URL, versionnumber[0], versionnumber[1]),
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\develop\python36\lib\logging\__init__.py", line 995, in emit
AttributeError: 'NoneType' object has no attribute 'write'
Call stack:
  File "C:\develop\python36\lib\threading.py", line 884, in _bootstrap
  File "C:\develop\python36\lib\threading.py", line 916, in _bootstrap_inner
  File "C:\develop\python36\lib\site-packages\cheroot\workers\threadpool.py", line 114, in run
  File "C:\develop\python36\lib\site-packages\cheroot\server.py", line 1273, in communicate
  File "C:\develop\python36\lib\site-packages\cheroot\server.py", line 1077, in respond
  File "C:\develop\python36\lib\site-packages\cheroot\wsgi.py", line 143, in respond
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\contrib\staticfiles\handlers.py", line 65, in __call__
    return self.application(environ, start_response)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\wsgi.py", line 141, in __call__
    response = self.get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\base.py", line 75, in get_response
    response = self._middleware_chain(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 34, in inner
    response = get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\utils\deprecation.py", line 94, in __call__
    response = response or self.get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 34, in inner
    response = get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\utils\deprecation.py", line 94, in __call__
    response = response or self.get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 34, in inner
    response = get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\freppledb\common\middleware.py", line 242, in __call__
    response = self.get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 34, in inner
    response = get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\freppledb\common\middleware.py", line 94, in __call__
    response = self.get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 34, in inner
    response = get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\utils\deprecation.py", line 94, in __call__
    response = response or self.get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 34, in inner
    response = get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\utils\deprecation.py", line 94, in __call__
    response = response or self.get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 34, in inner
    response = get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\utils\deprecation.py", line 94, in __call__
    response = response or self.get_response(request)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 36, in inner
    response = response_for_exception(request, exc)
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\core\handlers\exception.py", line 95, in response_for_exception
    exc_info=sys.exc_info(),
  File "C:\Program Files\frePPLe 6.11.0\bin\custom\django\utils\log.py", line 228, in log_response
    exc_info=exc_info,
  File "C:\develop\python36\lib\logging\__init__.py", line 1336, in error
  File "C:\develop\python36\lib\logging\__init__.py", line 1443, in _log
  File "C:\develop\python36\lib\logging\__init__.py", line 1453, in handle
  File "C:\develop\python36\lib\logging\__init__.py", line 1515, in callHandlers
  File "C:\develop\python36\lib\logging\__init__.py", line 864, in handle
  File "C:\develop\python36\lib\logging\__init__.py", line 999, in emit
Message: '%s: %s'
Arguments: ('Internal Server Error', '/wizard/load/production/')

Can anybody support ?

Thanks.

Johan De Taeye

unread,
Feb 15, 2021, 10:11:21 AM2/15/21
to freppl...@googlegroups.com

 

Hi,

 

This is a bug.
It’s already fixed in the meantime: https://github.com/frePPLe/frepple/commit/4ca510917eb8d869ac07c953c76c865960fe564d#diff-ea8d71d298055464d8d1e6378deb4266cde0d20facdd40577dd749ce622fe4d9

 

Johan De Taeye

Mob: +32 477.385.362

Skype: jdetaeye

Visit us at https://frepple.com

--
You received this message because you are subscribed to the Google Groups "frePPLe users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to frepple-user...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/frepple-users/ae13aca9-a2be-4c0b-8e32-bfab27b5a8ecn%40googlegroups.com.

O WR

unread,
Feb 15, 2021, 12:21:48 PM2/15/21
to frePPLe users
Thank you !
Works perfectly now.
Reply all
Reply to author
Forward
0 new messages